zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Han <h...@cloudera.com>
Subject Re: github merging?
Date Thu, 16 Mar 2017 16:26:15 GMT
Looks like a python environment issue. What python version and installation
are you using? I am using python 2.7.11 installed via homebrew for
reference. Also make sure pip is installed (sudo easy_install pip).

On Thu, Mar 16, 2017 at 8:48 AM, Camille Fournier <camille@apache.org>
wrote:

> Also, can we get this in the 3.5 branch as well?
>
> On Thu, Mar 16, 2017 at 11:03 AM, Camille Fournier <camille@apache.org>
> wrote:
>
> > I'm trying to follow the instructions on the wiki to approve changes:
> > https://cwiki.apache.org/confluence/display/ZOOKEEPER/
> > Merging+Github+Pull+Requests
> >
> > but it does not appear to work. Specifically, this merge script:
> > python zk-merge-pr.py
> >
> > is erroring out with:
> >
> >   File "/Library/Python/2.7/site-packages/pbr-2.0.0-py2.7.egg/
> pbr/version.py",
> > line 25, in <module>
> >
> >     import pkg_resources
> >
> >   File "build/bdist.macosx-10.12-intel/egg/pkg_resources/__init__.py",
> > line 72, in <module>
> >
> >   File "build/bdist.macosx-10.12-intel/egg/packaging/requirements.py",
> > line 59, in <module>
> >
> > TypeError: __call__() takes exactly 2 arguments (1 given)
> >
> >
> > Any ideas?
> >
> >
> > C
> >
>



-- 
Cheers
Michael.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message